Subject: bug#17362: 24.4.50; inconsistent key notation: `ESC' vs `<ESC>'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Apr 2014 05:55:00 +0300

> From: Josh <[email-masked]>
> Date: Tue, 29 Apr 2014 14:55:30 -0700
> Cc: Drew Adams <[email-masked]>, [email-masked]
> 
> Sorry to be mentioning this after you committed your changes, but I
> wanted to comment about the impact of these changes on new users.
> Difficulty specifying key bindings correctly is fairly common among
> newer users, and I think that this difficulty is worsened by
> occurrences in the documentation of non-canonical (with respect to
> kbd arguments) key notation.  There's an EmacsWiki page[0] about key
> binding notation that reads in part, "Use C-h k to find out how Emacs
> describes the key sequence, and copy & paste that into your kbd
> string."  It would be good if the info manual used the same notation.

I agreed that it would probably be good, but I don't see how this goal
could be achieved in practice, given that the user manual's main goal
is not to explain how to change key bindings, but rather how to use
the existing ones.